Bug 395720

Summary: Installing plasmoid, it installs older version
Product: Discover Reporter: Alex Ander <aalexandera>
Component: discoverAssignee: Aleix Pol <aleixpol>
Status: RESOLVED FIXED    
Severity: normal    
Priority: NOR    
Version: 5.13.1   
Target Milestone: ---   
Platform: Other   
OS: Linux   
Latest Commit: Version Fixed In:

Description Alex Ander 2018-06-22 00:56:22 UTC
I wanted to install Event Calendar ( https://store.kde.org/p/998901 ) from Discover. You can find it under "Plasma Widgets" in the app. On the website there are two versions available: 47 and 57. Discover shows right version: 57, but after I let it install, I found version 47 installed.
Comment 1 Aleix Pol 2018-06-22 15:10:51 UTC
Git commit ed54e6fbc5e73d7fc2dcbdec766e386d86c7e9b7 by Aleix Pol.
Committed on 22/06/2018 at 15:09.
Pushed by apol into branch 'Plasma/5.13'.

When installing a resource with several payloads, fetch all of them

Instead of just randomly fetching the first one.

M  +7    -5    libdiscover/backends/KNSBackend/KNSBackend.cpp
M  +11   -0    libdiscover/backends/KNSBackend/KNSResource.cpp
M  +1    -0    libdiscover/backends/KNSBackend/KNSResource.h

https://commits.kde.org/discover/ed54e6fbc5e73d7fc2dcbdec766e386d86c7e9b7